// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 46;
	objects = {

/* Begin PBXBuildFile section */
		4984224B1D58BA5D00255668 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4984224A1D58BA5D00255668 /* AppDelegate.swift */; };
		4984224D1D58BA5D00255668 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4984224C1D58BA5D00255668 /* ViewController.swift */; };
		498422501D58BA5D00255668 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 4984224E1D58BA5D00255668 /* Main.storyboard */; };
		498422521D58BA5D00255668 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 498422511D58BA5D00255668 /* Assets.xcassets */; };
		498422551D58BA5D00255668 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 498422531D58BA5D00255668 /* LaunchScreen.storyboard */; };
		4984225D1D58BA7A00255668 /* CameraViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4984225C1D58BA7A00255668 /* CameraViewController.swift */; };
		4984225F1D58BA8B00255668 /* CameraPresenter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4984225E1D58BA8B00255668 /* CameraPresenter.swift */; };
		498422611D58BABE00255668 /* CameraCaptureProtocol.swift in Sources */ = {isa = PBXBuildFile; fileRef = 498422601D58BABE00255668 /* CameraCaptureProtocol.swift */; };
		498422631D58BD0100255668 /* CameraPresenterProtocol.swift in Sources */ = {isa = PBXBuildFile; fileRef = 498422621D58BD0100255668 /* CameraPresenterProtocol.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		498422471D58BA5D00255668 /* CustomCameraDemo.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = CustomCameraDemo.app; sourceTree = BUILT_PRODUCTS_DIR; };
		4984224A1D58BA5D00255668 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		4984224C1D58BA5D00255668 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		4984224F1D58BA5D00255668 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		498422511D58BA5D00255668 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		498422541D58BA5D00255668 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		498422561D58BA5D00255668 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		4984225C1D58BA7A00255668 /* CameraViewController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = CameraViewController.swift; sourceTree = "<group>"; };
		4984225E1D58BA8B00255668 /* CameraPresenter.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = CameraPresenter.swift; sourceTree = "<group>"; };
		498422601D58BABE00255668 /* CameraCaptureProtocol.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = CameraCaptureProtocol.swift; sourceTree = "<group>"; };
		498422621D58BD0100255668 /* CameraPresenterProtocol.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = CameraPresenterProtocol.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		498422441D58BA5D00255668 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		4984223E1D58BA5D00255668 = {
			isa = PBXGroup;
			children = (
				498422491D58BA5D00255668 /* CustomCameraDemo */,
				498422481D58BA5D00255668 /* Products */,
			);
			sourceTree = "<group>";
		};
		498422481D58BA5D00255668 /* Products */ = {
			isa = PBXGroup;
			children = (
				498422471D58BA5D00255668 /* CustomCameraDemo.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		498422491D58BA5D00255668 /* CustomCameraDemo */ = {
			isa = PBXGroup;
			children = (
				4984224A1D58BA5D00255668 /* AppDelegate.swift */,
				4984224C1D58BA5D00255668 /* ViewController.swift */,
				4984225C1D58BA7A00255668 /* CameraViewController.swift */,
				4984225E1D58BA8B00255668 /* CameraPresenter.swift */,
				498422601D58BABE00255668 /* CameraCaptureProtocol.swift */,
				498422621D58BD0100255668 /* CameraPresenterProtocol.swift */,
				4984224E1D58BA5D00255668 /* Main.storyboard */,
				498422511D58BA5D00255668 /* Assets.xcassets */,
				498422531D58BA5D00255668 /* LaunchScreen.storyboard */,
				498422561D58BA5D00255668 /* Info.plist */,
			);
			path = CustomCameraDemo;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		498422461D58BA5D00255668 /* CustomCameraDemo */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 498422591D58BA5D00255668 /* Build configuration list for PBXNativeTarget "CustomCameraDemo" */;
			buildPhases = (
				498422431D58BA5D00255668 /* Sources */,
				498422441D58BA5D00255668 /* Frameworks */,
				498422451D58BA5D00255668 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = CustomCameraDemo;
			productName = CustomCameraDemo;
			productReference = 498422471D58BA5D00255668 /* CustomCameraDemo.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		4984223F1D58BA5D00255668 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 0730;
				LastUpgradeCheck = 0730;
				ORGANIZATIONNAME = "Daffomac-05";
				TargetAttributes = {
					498422461D58BA5D00255668 = {
						CreatedOnToolsVersion = 7.3;
						DevelopmentTeam = 29W89V9HPN;
					};
				};
			};
			buildConfigurationList = 498422421D58BA5D00255668 /* Build configuration list for PBXProject "CustomCameraDemo" */;
			compatibilityVersion = "Xcode 3.2";
			developmentRegion = English;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 4984223E1D58BA5D00255668;
			productRefGroup = 498422481D58BA5D00255668 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				498422461D58BA5D00255668 /* CustomCameraDemo */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		498422451D58BA5D00255668 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				498422551D58BA5D00255668 /* LaunchScreen.storyboard in Resources */,
				498422521D58BA5D00255668 /* Assets.xcassets in Resources */,
				498422501D58BA5D00255668 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		498422431D58BA5D00255668 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				4984225F1D58BA8B00255668 /* CameraPresenter.swift in Sources */,
				498422631D58BD0100255668 /* CameraPresenterProtocol.swift in Sources */,
				4984224D1D58BA5D00255668 /* ViewController.swift in Sources */,
				498422611D58BABE00255668 /* CameraCaptureProtocol.swift in Sources */,
				4984224B1D58BA5D00255668 /* AppDelegate.swift in Sources */,
				4984225D1D58BA7A00255668 /* CameraViewController.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		4984224E1D58BA5D00255668 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				4984224F1D58BA5D00255668 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		498422531D58BA5D00255668 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				498422541D58BA5D00255668 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		498422571D58BA5D00255668 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 9.3;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		498422581D58BA5D00255668 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 9.3;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				TARGETED_DEVICE_FAMILY = "1,2";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		4984225A1D58BA5D00255668 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				INFOPLIST_FILE = CustomCameraDemo/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 8.1;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = com.daffomac05.CustomCameraDemo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE = "";
			};
			name = Debug;
		};
		4984225B1D58BA5D00255668 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				INFOPLIST_FILE = CustomCameraDemo/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 8.1;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = com.daffomac05.CustomCameraDemo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE = "";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		498422421D58BA5D00255668 /* Build configuration list for PBXProject "CustomCameraDemo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				498422571D58BA5D00255668 /* Debug */,
				498422581D58BA5D00255668 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		498422591D58BA5D00255668 /* Build configuration list for PBXNativeTarget "CustomCameraDemo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				4984225A1D58BA5D00255668 /* Debug */,
				4984225B1D58BA5D00255668 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
		};
/* End XCConfigurationList section */
	};
	rootObject = 4984223F1D58BA5D00255668 /* Project object */;
}
